Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QAbstractFileEngine.FileName

    java.lang.Object
      java.lang.Enum<QAbstractFileEngine.FileName>
          com.trolltech.qt.core.QAbstractFileEngine.FileName

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractFileEngine.FileName>

Enclosing class:
  QAbstractFileEngine

    public static enum QAbstractFileEngine.FileName

extends java.lang.Enum<QAbstractFileEngine.FileName>
implements QtEnumerator

These values are used to request a file name in a particular format.

See Also:
  `fileName`, `setFileName`

Enum Constant Summary
`AbsoluteName` The absolute path to the file (including the base name).
`AbsolutePathName` The absolute path to the file (excluding the base name).
`BaseName` The name of the file excluding the path.
`BundleName` Returns the name of the bundle implies `BundleType` is set.
`CanonicalName` Often very similar to `LinkName`.
`CanonicalPathName` Same as `CanonicalName`, excluding the base name.
`DefaultName` The same filename that was passed to the `QAbstractFileEngine`.
`LinkName` The full file name of the file that this file is a link to.
`PathName` The path to the file excluding the base name.

Method Summary
`static QAbstractFileEngine.FileName` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractFileEngine.FileName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractFileEngine.FileName[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DefaultName

    public static final QAbstractFileEngine.FileName DefaultName

  The same filename that was passed to the `QAbstractFileEngine`.

### BaseName

    public static final QAbstractFileEngine.FileName BaseName

  The name of the file excluding the path.

### PathName

    public static final QAbstractFileEngine.FileName PathName

  The path to the file excluding the base name.

### AbsoluteName

    public static final QAbstractFileEngine.FileName AbsoluteName

  The absolute path to the file (including the base name).

### AbsolutePathName

    public static final QAbstractFileEngine.FileName AbsolutePathName

  The absolute path to the file (excluding the base name).

### LinkName

    public static final QAbstractFileEngine.FileName LinkName

  The full file name of the file that this file is a link to. (This will be empty if this file is not a link.)

### CanonicalName

    public static final QAbstractFileEngine.FileName CanonicalName

  Often very similar to `LinkName`. Will return the true path to the file.

### CanonicalPathName

    public static final QAbstractFileEngine.FileName CanonicalPathName

  Same as `CanonicalName`, excluding the base name.

### BundleName

    public static final QAbstractFileEngine.FileName BundleName

  Returns the name of the bundle implies `BundleType` is set.

Method Detail

### values

    public static final QAbstractFileEngine.FileName[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractFileEngine.FileName c : QAbstractFileEngine.FileName.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractFileEngine.FileName valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractFileEngine.FileName resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD